io.vertx.reactivex.ext.web.handler.graphql

## Class ApolloWSMessage

- java.lang.Object
- - io.vertx.reactivex.ext.web.handler.graphql.ApolloWSMessage

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

  Deprecated.

      @Deprecated
      public class ApolloWSMessage
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A message received over Apollo's `subscriptions-transport-ws` transport.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ApolloWSMessage>` | `__TYPE_ARG` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApolloWSMessage(ApolloWSMessage delegate)` Deprecated.
    `ApolloWSMessage(Object delegate)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `connectionParams()` Deprecated.
    `JsonObject` | `content()` Deprecated.
    `boolean` | `equals(Object o)` Deprecated.
    `ApolloWSMessage` | `getDelegate()` Deprecated.
    `int` | `hashCode()` Deprecated.
    `static ApolloWSMessage` | `newInstance(ApolloWSMessage arg)` Deprecated.
    `ServerWebSocket` | `serverWebSocket()` Deprecated.
    `String` | `toString()` Deprecated.
    `ApolloWSMessageType` | `type()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ApolloWSMessage> __TYPE_ARG

      Deprecated.

  - ### Constructor Detail

    - #### ApolloWSMessage

          public ApolloWSMessage(ApolloWSMessage delegate)

      Deprecated.

    - #### ApolloWSMessage

          public ApolloWSMessage(Object delegate)

      Deprecated.

  - ### Method Detail

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Deprecated.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ApolloWSMessage getDelegate()

      Deprecated.
      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### serverWebSocket

          @Deprecated
          public ServerWebSocket serverWebSocket()

      Deprecated.
      Returns:
        the websocket that received the message

    - #### type

          @Deprecated
          public ApolloWSMessageType type()

      Deprecated.
      Returns:
        the message type

    - #### content

          @Deprecated
          public JsonObject content()

      Deprecated.
      Returns:
        the message content

    - #### connectionParams

          @Deprecated
          public Object connectionParams()

      Deprecated.
      Returns:
        the connection params

    - #### newInstance

          public static ApolloWSMessage newInstance(ApolloWSMessage arg)

      Deprecated.

Copyright © 2025 Eclipse. All rights reserved.